# __gnu_cxx::character< V, I, S > Struct Template Reference

List of all members.

## Detailed Description

### template<typename V, typename I, typename S = mbstate_t>
struct __gnu_cxx::character< V, I, S >

Definition at line 50 of file pod_char_traits.h.

## Public Types

- typedef character< V, I, S > char_type
- typedef I int_type
- typedef S state_type
- typedef V value_type

## Static Public Member Functions

- template<typename V2> static char_type from (const V2 &v)
- template<typename V2> static V2 to (const char_type &c)

## Public Attributes

- value_type value

The documentation for this struct was generated from the following file:

- pod_char_traits.h